#
# Spec file generated by kdist version v0.0.4-52-gdd81
#
Name:          kernel-server
Summary:       The Linux Kernel for Mandriva systems
License:       GPLv2
Version:       2.6.39.4
Release:       %mkrel 4.2
URL:           http://www.kernel.org
Source:        kernel-server-2.6.39.4-4.tar.bz2
ExclusiveArch: x86_64 
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%global __debug_package 1
%define debug_package %{nil}
%define __check_files %{nil}

%ifarch %ix86 x86_64
%define asmarch x86
%define bzImage arch/x86/boot/bzImage
%define instkern_opts %{nil}
%endif

%ifarch %arm
%define asmarch arm
%define bzImage arch/arm/boot/zImage
%define instkern_opts -i -N
%endif

Summary:       The Linux Kernel for Mandriva systems
Provides:      kernel = %{version}-%{release}
Group:         System/Kernel and hardware

%description
The Linux Kernel, the operating system core itself

%package devel
Summary:       The minimal Linux Kernel for building kernel modules
Provides:      kernel-devel = %{version}-%{release}
Group:         Development/Kernel
BuildRequires: rsync

%description -n kernel-server-devel
This package provides kernel headers, makefiles and a couple
of others files sufficient to build external kernel modules.

%package debuginfo
Summary:       The debug information for kernel-server
Provides:      kernel-debuginfo = %{version}-%{release}
Group:         Development/Debug

%description -n kernel-server-debuginfo
This package provides the kernel's debug information required
by some binary object tools like kgdb, perf, etc...

%prep
%setup -q -n kernel-server-2.6.39.4-4

%build
make defconfig
make -s kernelrelease
test $(make -s kernelrelease) = 2.6.39.4-4.2-server
make %{?_smp_mflags}

%install
make -s INSTALL_MOD_PATH=%{buildroot} modules_install
find %{buildroot} -name \*.ko -exec chmod u+x {} \;

mkdir -p %{buildroot}/boot
cp %{bzImage} %{buildroot}/boot/vmlinuz-2.6.39.4-4.2-server
cp System.map %{buildroot}/boot/System.map-2.6.39.4-4.2-server
cp .config    %{buildroot}/boot/config-2.6.39.4-4.2-server
ln -snf /usr/src/devel/2.6.39.4-4.2-server %{buildroot}/lib/modules/2.6.39.4-4.2-server/build
ln -snf build %{buildroot}/lib/modules/2.6.39.4-4.2-server/source

mkdir -p %{buildroot}/usr/src/devel/2.6.39.4-4.2-server
cat develfiles-%asmarch.list >>develfiles.list
rsync -ar --files-from=develfiles.list . %{buildroot}/usr/src/devel/2.6.39.4-4.2-server

%post -n kernel-server
/sbin/installkernel %{instkern_opts} 2.6.39.4-4.2-server

%preun -n kernel-server
/sbin/installkernel -R 2.6.39.4-4.2-server

%postun -n kernel-server
/sbin/kernel_remove_initrd 2.6.39.4-4.2-server

%clean
rm -rf %{buildroot}

%files -n kernel-server
%defattr (-, root, root)
%dir /lib/modules
/lib/modules/2.6.39.4-4.2-server
/boot

%files -n kernel-server-devel
%defattr (-, root, root)
/usr/src/devel/2.6.39.4-4.2-server

%files -n kernel-server-debuginfo -f debugfiles.list
%defattr (-, root, root)

%changelog
* Fri Nov 04 2011 Franck Bui <franck.bui@mandriva.com> 2.6.39.4-4.2-server
  + Mandriva Release v2.6.39.4-4
  + rtlwifi: rtl8192cu: Fix unitialized struct
  + rtlwifi: Fix problem when switching connections
  + rtlwifi: Fix kernel oops on ARM SOC
  + rtlwifi: rtl8192{ce,cu,se} Remove irq_enabled
  + rtlwifi: use PCI_VENDOR_ID_*
  + rtlwifi: remove unnecessary read of PCI_CAP_ID_EXP
  + rtlwifi: rtl8192{c,ce,cu,se}: Remove comparisons of booleans with true
  + rtlwifi: rtl8192cu: Remove unused parameter
  + rtlwifi: Fix typo in variable name
  + rtlwifi: include mac80211.h from core.h
  + rtlwifi: rtl8192se: Handle duplicate PCI ID 0x10ec:0x8192 conflict with r8192e_pci
  + rtlwifi: Fix warnings on parisc arch
  + rtlwifi: Factor out code to receive one packet
  + rtlwifi: Free skb in one place
  + rtlwifi: Resubmit skbs with bad CRC early
  + rtlwifi: Remove unnecessary indent
  + rtlwifi: Avoid modifying skbs that are resubmitted
  + rtlwifi: Fix logic in rx_interrupt
  + rtlwifi: Use write barrier when assigning ownership
  + rtlwifi: Assign rx buffer ownership to hardware last
  + rtlwifi: Don't block interrupts in spinlocks
  + rtlwifi: Run IPS leave work in a tasklet
  + rtlwifi: Store loop index in local variable
  + rtlwifi: Synchronize IRQ after disabling it
  + rtl8192ce: Fix warnings from gcc 4.6.0
  + rtlwifi: Fix warnings from gcc 4.6.0
  + rtlwifi: Use order 2 RX buffer allocation only if necessary
  + rtlwifi: Fix kernel panic resulting from RX buffer allocation failure
  + rtlwifi: rtl8192c-common: rtl8192ce: Fix for HT40 regression
  + rtlwifi: Move 2 large arrays off stack
  + rtlwifi: Fix typo in pci.c
